%define realrelease 22
%define realversion 2.02

Summary: CTServer - client/server library for Voicetronix hardware
Name: ctserver
Version: 2.0
Release: 0.%{realrelease}mdk
Group: Communications
URL: http://www.voicetronix.com
Source: ctserver-%{realversion}.tar.bz2
#Patch: openpbx.init3.patch.bz2
#Patch1: server.cpp.patch.bz2
License: GPL
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++, kernel-source, libstdc++-static-devel
BuildRequires: glibc-static-devel
BuildRequires: perl-devel, perl-CGI, perl-Data-Dump
BuildRequires: vpb-devel
Requires: perl-Data-Dump
Requires: kernel-vpb

%description
The daemon for the ctserver server/client rapid Computer Telephony 
(CT) application development in Perl.  It uses Voicetronix hardware, and 
runs under Linux.

%package -n perl-CTPort
Summary: CTServer PBX perl library
Group: Communications
Requires: kernel-vpb
Requires: perl-Data-Dump
Requires: ctserver
Provides: perl(CTPort), perl(Telephony::CTPort)

%description -n perl-CTPort
The perl library for the ctserver server/client rapid Computer Telephony 
(CT) application development in Perl.  It uses Voicetronix hardware, and 
runs under Linux.

%package -n openpbx
Summary: Open-Source PBX
Group: Communications
Requires: perl-CGI, perl-Data-Dump
Requires: apache2
Requires: kernel-vpb
Requires: ctserver
Requires: perl(CTPort)
Prereq: rpm-helper

%description -n openpbx
An Open-Source PBX using the Voicetronix OpenSwitch cards. Features 6 or 12
ports, configurable as trunks or stations. The PBX software feature hunt
groups, transfers, music on hold, etc. It uses perl scripts, so adding
features is easy.

%prep
rm -rf %{buildroot}

%setup -q -n ctserver-%{realversion}
find -type f|xargs perl -pi -e "s|/usr/local/share/openpbx|%{_datadir}/vpb/openpbx|g;"
find -type f|xargs perl -pi -e "s|/var/ctserver|%{_datadir}/vpb|g;"
find -type f|xargs perl -pi -e "s|UsMEng|USEngM|g;"
cd openpbx
#%patch0
cd ..
#%patch1 -p1
rm -f tests/log/.holddir
rm -f openpbx/log/.holddir
rm -f openpbx/tests/log/.dirholder

%build
%make ctserver
cd CTPort
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf doc/CVS
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/vpb
mkdir -p %{buildroot}%{_datadir}/vpb/CTPort
mkdir -p %{buildroot}%{_datadir}/vpb/USEngM
cp src/ctserver %{buildroot}%{_bindir}
cd CTPort
touch CTPort.pm
%makeinstall_std
cd ..
cp -R tests %{buildroot}%{_datadir}/vpb
cp -R UsEngM/* %{buildroot}%{_datadir}/vpb/USEngM
cp -R CTPort/tests %{buildroot}%{_datadir}/vpb/CTPort
cp -R CTPort/samples %{buildroot}%{_datadir}/vpb/CTPort
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
mv openpbx/openpbx %{buildroot}%{_sysconfdir}/rc.d/init.d
mv openpbx/web/openpbx.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/76_openpbx.conf
mv openpbx/tests/tonetrain %{buildroot}%{_bindir}
chmod 0755 openpbx/web/cgi-bin/*
cp -a openpbx %{buildroot}%{_datadir}/vpb

%files 
%defattr(-,root,root,0755)
%{_bindir}/*
%doc README COPYING

%files -n perl-CTPort
%defattr(-,root,root,0755)
%doc README COPYING CTPort/Changes
%{_libdir}/*
%{_mandir}/man3/*
%dir %{_datadir}/vpb
%{_datadir}/vpb/tests
%{_datadir}/vpb/USEngM
%{_datadir}/vpb/CTPort

%files -n openpbx
%defattr(-,root,root,0755)
%doc README COPYING
%{_datadir}/vpb/openpbx
%config(noreplace)%{_sysconfdir}/*

%post -n openpbx
%_post_service openpbx

%preun -n openpbx
%_preun_service openpbx

%clean
rm -rf %{buildroot}

%changelog
* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-0.22mdk
- Rebuild

* Wed Sep 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.21mdk
- new milestone 2 version
- remove P0 and P1, included in upstream

* Wed Sep 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.20mdk
- new milestone 1 version

* Tue Aug 18 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.19mdk
- new version

* Wed Aug 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.18mdk
- new version

* Tue Jul 29 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.15mdk
- new beta version

* Tue Jul 29 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.14mdk
- new beta version

* Mon Jul  7 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.1mdk
- new beta version

* Fri Jul  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-1mdk
- first Mandrake release

